import{s as Re,n as qe,o as Ke}from"../chunks/scheduler.c57aa7ef.js";import{S as We,i as Be,g as i,s as o,r as d,A as Ge,h as s,f as n,c as r,j as v,u as l,x as b,k as $,y as t,a as p,v as g,d as c,t as u,w as h}from"../chunks/index.c50cb18e.js";import{D as M}from"../chunks/Docstring.b594fb60.js";import{H as _e}from"../chunks/Heading.c7d7e0e7.js";function Je(De){let y,ee,Y,te,L,ne,H,Ee='<code>PeftConfigMixin</code> is the base configuration class for storing the adapter configuration of a <a href="/docs/peft/v0.9.0/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>, and <a href="/docs/peft/v0.9.0/en/package_reference/config#peft.PromptLearningConfig">PromptLearningConfig</a> is the base configuration class for soft prompt methods (p-tuning, prefix tuning, and prompt tuning). These base classes contain methods for saving and loading model configurations from the Hub, specifying the PEFT method to use, type of task to perform, and model configurations like number of layers and number of attention heads.',oe,N,re,f,D,ve,S,Oe=`This is the base configuration class for PEFT adapter models. It contains all the methods that are common to all
PEFT adapter models. This class inherits from <a href="https://huggingface.co/docs/transformers/v4.38.1/en/main_classes/model#transformers.utils.PushToHubMixin" rel="nofollow">PushToHubMixin</a> which contains the methods to
push your model to the Hub. The method <code>save_pretrained</code> will save the configuration of your adapter model in a
directory. The method <code>from_pretrained</code> will load the configuration of your adapter model from a directory.`,be,C,E,$e,R,je="Loads a configuration file from a json file.",ye,_,O,Pe,q,Ie="This method loads the configuration of your adapter model from a set of kwargs.",xe,K,Ue=`The appropriate configuration type is determined by the <code>peft_type</code> argument. If <code>peft_type</code> is not provided,
the calling class type is instantiated.`,Ce,T,j,Te,W,Ve="This method loads the configuration of your adapter model from a directory.",we,w,I,ke,B,ze="This method saves the configuration of your adapter model in a directory.",Me,k,U,Le,G,Fe="Returns the configuration for your adapter model as a dictionary.",ae,V,ie,P,z,He,J,Ae='This is the base configuration class to store the configuration of a <a href="/docs/peft/v0.9.0/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>.',se,F,fe,x,A,Ne,Q,Se=`This is the base configuration class to store the configuration of <code>PrefixTuning</code>, <a href="/docs/peft/v0.9.0/en/package_reference/p_tuning#peft.PromptEncoder">PromptEncoder</a>, or
<code>PromptTuning</code>.`,pe,Z,me;return L=new _e({props:{title:"Configuration",local:"configuration",headingTag:"h1"}}),N=new _e({props:{title:"PeftConfigMixin",local:"peft.config.PeftConfigMixin",headingTag:"h2"}}),D=new M({props:{name:"class peft.config.PeftConfigMixin",anchor:"peft.config.PeftConfigMixin",parameters:[{name:"peft_type",val:": Optional = None"},{name:"auto_mapping",val:": Optional = None"}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L26"}}),E=new M({props:{name:"from_json_file",anchor:"peft.config.PeftConfigMixin.from_json_file",parameters:[{name:"path_json_file",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_json_file.path_json_file",description:`<strong>path_json_file</strong> (<code>str</code>) &#x2014;
The path to the json file.`,name:"path_json_file"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L153"}}),O=new M({props:{name:"from_peft_type",anchor:"peft.config.PeftConfigMixin.from_peft_type",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_peft_type.kwargs",description:`<strong>kwargs</strong> (configuration keyword arguments) &#x2014;
Keyword arguments passed along to the configuration initialization.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L82"}}),j=new M({props:{name:"from_pretrained",anchor:"peft.config.PeftConfigMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": str"},{name:"subfolder",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code>) &#x2014;
The directory or the Hub repository id where the configuration is saved.`,name:"pretrained_model_name_or_path"},{anchor:"peft.config.PeftConfigMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the child class initialization.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L120"}}),I=new M({props:{name:"save_pretrained",anchor:"peft.config.PeftConfigMixin.save_pretrained",parameters:[{name:"save_directory",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
The directory where the configuration will be saved.`,name:"save_directory"},{anchor:"peft.config.PeftConfigMixin.save_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the <a href="https://huggingface.co/docs/transformers/v4.38.1/en/main_classes/model#transformers.utils.PushToHubMixin.push_to_hub" rel="nofollow">push_to_hub</a>
method.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L49"}}),U=new M({props:{name:"to_dict",anchor:"peft.config.PeftConfigMixin.to_dict",parameters:[],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L43"}}),V=new _e({props:{title:"PeftConfig",local:"peft.PeftConfig",headingTag:"h2"}}),z=new M({props:{name:"class peft.PeftConfig",anchor:"peft.PeftConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"}],parametersDescription:[{anchor:"peft.PeftConfig.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"},{anchor:"peft.PeftConfig.task_type",description:"<strong>task_type</strong> (Union[<code>~peft.utils.config.TaskType</code>, <code>str</code>]) &#x2014; The type of task to perform.",name:"task_type"},{anchor:"peft.PeftConfig.inference_mode",description:"<strong>inference_mode</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014; Whether to use the Peft model in inference mode.",name:"inference_mode"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L221"}}),F=new _e({props:{title:"PromptLearningConfig",local:"peft.PromptLearningConfig",headingTag:"h2"}}),A=new M({props:{name:"class peft.PromptLearningConfig",anchor:"peft.PromptLearningConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": Optional = None"},{name:"num_attention_heads",val:": Optional = None"},{name:"num_layers",val:": Optional = None"}],parametersDescription:[{anchor:"peft.PromptLearningConfig.num_virtual_tokens",description:"<strong>num_virtual_tokens</strong> (<code>int</code>) &#x2014; The number of virtual tokens to use.",name:"num_virtual_tokens"},{anchor:"peft.PromptLearningConfig.token_dim",description:"<strong>token_dim</strong> (<code>int</code>) &#x2014; The hidden embedding dimension of the base transformer model.",name:"token_dim"},{anchor:"peft.PromptLearningConfig.num_transformer_submodules",description:"<strong>num_transformer_submodules</strong> (<code>int</code>) &#x2014; The number of transformer submodules in the base transformer model.",name:"num_transformer_submodules"},{anchor:"peft.PromptLearningConfig.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>) &#x2014; The number of attention heads in the base transformer model.",name:"num_attention_heads"},{anchor:"peft.PromptLearningConfig.num_layers",description:"<strong>num_layers</strong> (<code>int</code>) &#x2014; The number of layers in the base transformer model.",name:"num_layers"}],source:"https://github.com/huggingface/peft/blob/v0.9.0/src/peft/config.py#L241"}}),{c(){y=i("meta"),ee=o(),Y=i("p"),te=o(),d(L.$$.fragment),ne=o(),H=i("p"),H.innerHTML=Ee,oe=o(),d(N.$$.fragment),re=o(),f=i("div"),d(D.$$.fragment),ve=o(),S=i("p"),S.innerHTML=Oe,be=o(),C=i("div"),d(E.$$.fragment),$e=o(),R=i("p"),R.textContent=je,ye=o(),_=i("div"),d(O.$$.fragment),Pe=o(),q=i("p"),q.textContent=Ie,xe=o(),K=i("p"),K.innerHTML=Ue,Ce=o(),T=i("div"),d(j.$$.fragment),Te=o(),W=i("p"),W.textContent=Ve,we=o(),w=i("div"),d(I.$$.fragment),ke=o(),B=i("p"),B.textContent=ze,Me=o(),k=i("div"),d(U.$$.fragment),Le=o(),G=i("p"),G.textContent=Fe,ae=o(),d(V.$$.fragment),ie=o(),P=i("div"),d(z.$$.fragment),He=o(),J=i("p"),J.innerHTML=Ae,se=o(),d(F.$$.fragment),fe=o(),x=i("div"),d(A.$$.fragment),Ne=o(),Q=i("p"),Q.innerHTML=Se,pe=o(),Z=i("p"),this.h()},l(e){const a=Ge("svelte-u9bgzb",document.head);y=s(a,"META",{name:!0,content:!0}),a.forEach(n),ee=r(e),Y=s(e,"P",{}),v(Y).forEach(n),te=r(e),l(L.$$.fragment,e),ne=r(e),H=s(e,"P",{"data-svelte-h":!0}),b(H)!=="svelte-44148v"&&(H.innerHTML=Ee),oe=r(e),l(N.$$.fragment,e),re=r(e),f=s(e,"DIV",{class:!0});var m=v(f);l(D.$$.fragment,m),ve=r(m),S=s(m,"P",{"data-svelte-h":!0}),b(S)!=="svelte-bood3k"&&(S.innerHTML=Oe),be=r(m),C=s(m,"DIV",{class:!0});var de=v(C);l(E.$$.fragment,de),$e=r(de),R=s(de,"P",{"data-svelte-h":!0}),b(R)!=="svelte-zcd40r"&&(R.textContent=je),de.forEach(n),ye=r(m),_=s(m,"DIV",{class:!0});var X=v(_);l(O.$$.fragment,X),Pe=r(X),q=s(X,"P",{"data-svelte-h":!0}),b(q)!=="svelte-29oatc"&&(q.textContent=Ie),xe=r(X),K=s(X,"P",{"data-svelte-h":!0}),b(K)!=="svelte-lain5s"&&(K.innerHTML=Ue),X.forEach(n),Ce=r(m),T=s(m,"DIV",{class:!0});var le=v(T);l(j.$$.fragment,le),Te=r(le),W=s(le,"P",{"data-svelte-h":!0}),b(W)!=="svelte-z7yz95"&&(W.textContent=Ve),le.forEach(n),we=r(m),w=s(m,"DIV",{class:!0});var ge=v(w);l(I.$$.fragment,ge),ke=r(ge),B=s(ge,"P",{"data-svelte-h":!0}),b(B)!=="svelte-fhg9sv"&&(B.textContent=ze),ge.forEach(n),Me=r(m),k=s(m,"DIV",{class:!0});var ce=v(k);l(U.$$.fragment,ce),Le=r(ce),G=s(ce,"P",{"data-svelte-h":!0}),b(G)!=="svelte-1rharm3"&&(G.textContent=Fe),ce.forEach(n),m.forEach(n),ae=r(e),l(V.$$.fragment,e),ie=r(e),P=s(e,"DIV",{class:!0});var ue=v(P);l(z.$$.fragment,ue),He=r(ue),J=s(ue,"P",{"data-svelte-h":!0}),b(J)!=="svelte-1pssojf"&&(J.innerHTML=Ae),ue.forEach(n),se=r(e),l(F.$$.fragment,e),fe=r(e),x=s(e,"DIV",{class:!0});var he=v(x);l(A.$$.fragment,he),Ne=r(he),Q=s(he,"P",{"data-svelte-h":!0}),b(Q)!=="svelte-1uu1wbi"&&(Q.innerHTML=Se),he.forEach(n),pe=r(e),Z=s(e,"P",{}),v(Z).forEach(n),this.h()},h(){$(y,"name","hf:doc:metadata"),$(y,"content",Qe),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,y),p(e,ee,a),p(e,Y,a),p(e,te,a),g(L,e,a),p(e,ne,a),p(e,H,a),p(e,oe,a),g(N,e,a),p(e,re,a),p(e,f,a),g(D,f,null),t(f,ve),t(f,S),t(f,be),t(f,C),g(E,C,null),t(C,$e),t(C,R),t(f,ye),t(f,_),g(O,_,null),t(_,Pe),t(_,q),t(_,xe),t(_,K),t(f,Ce),t(f,T),g(j,T,null),t(T,Te),t(T,W),t(f,we),t(f,w),g(I,w,null),t(w,ke),t(w,B),t(f,Me),t(f,k),g(U,k,null),t(k,Le),t(k,G),p(e,ae,a),g(V,e,a),p(e,ie,a),p(e,P,a),g(z,P,null),t(P,He),t(P,J),p(e,se,a),g(F,e,a),p(e,fe,a),p(e,x,a),g(A,x,null),t(x,Ne),t(x,Q),p(e,pe,a),p(e,Z,a),me=!0},p:qe,i(e){me||(c(L.$$.fragment,e),c(N.$$.fragment,e),c(D.$$.fragment,e),c(E.$$.fragment,e),c(O.$$.fragment,e),c(j.$$.fragment,e),c(I.$$.fragment,e),c(U.$$.fragment,e),c(V.$$.fragment,e),c(z.$$.fragment,e),c(F.$$.fragment,e),c(A.$$.fragment,e),me=!0)},o(e){u(L.$$.fragment,e),u(N.$$.fragment,e),u(D.$$.fragment,e),u(E.$$.fragment,e),u(O.$$.fragment,e),u(j.$$.fragment,e),u(I.$$.fragment,e),u(U.$$.fragment,e),u(V.$$.fragment,e),u(z.$$.fragment,e),u(F.$$.fragment,e),u(A.$$.fragment,e),me=!1},d(e){e&&(n(ee),n(Y),n(te),n(ne),n(H),n(oe),n(re),n(f),n(ae),n(ie),n(P),n(se),n(fe),n(x),n(pe),n(Z)),n(y),h(L,e),h(N,e),h(D),h(E),h(O),h(j),h(I),h(U),h(V,e),h(z),h(F,e),h(A)}}}const Qe='{"title":"Configuration","local":"configuration","sections":[{"title":"PeftConfigMixin","local":"peft.config.PeftConfigMixin","sections":[],"depth":2},{"title":"PeftConfig","local":"peft.PeftConfig","sections":[],"depth":2},{"title":"PromptLearningConfig","local":"peft.PromptLearningConfig","sections":[],"depth":2}],"depth":1}';function Xe(De){return Ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class nt extends We{constructor(y){super(),Be(this,y,Xe,Je,Re,{})}}export{nt as component};
